diff --git a/src/backend/executor/nodeAppend.c b/src/backend/executor/nodeAppend.c
index e7188b2d31..5ce4fb43e1 100644
--- a/src/backend/executor/nodeAppend.c
+++ b/src/backend/executor/nodeAppend.c
@@ -151,7 +151,7 @@ ExecInitAppend(Append *node, EState *estate, int eflags)
 			/*
 			 * The case where no subplans survive pruning must be handled
 			 * specially.  The problem here is that code in explain.c requires
-			 * a MergeAppend to have at least one subplan in order for it to
+			 * an Append to have at least one subplan in order for it to
 			 * properly determine the Vars in that subplan's targetlist.  We
 			 * sidestep this issue by just initializing the first subplan and
 			 * setting as_whichplan to NO_MATCHING_SUBPLANS to indicate that
diff --git a/src/backend/executor/nodeMergeAppend.c b/src/backend/executor/nodeMergeAppend.c
index ec8a49c3a8..64025733de 100644
--- a/src/backend/executor/nodeMergeAppend.c
+++ b/src/backend/executor/nodeMergeAppend.c
@@ -111,7 +111,7 @@ ExecInitMergeAppend(MergeAppend *node, EState *estate, int eflags)
 			/*
 			 * The case where no subplans survive pruning must be handled
 			 * specially.  The problem here is that code in explain.c requires
-			 * an Append to have at least one subplan in order for it to
+			 * a MergeAppend to have at least one subplan in order for it to
 			 * properly determine the Vars in that subplan's targetlist.  We
 			 * sidestep this issue by just initializing the first subplan and
 			 * setting ms_noopscan to true to indicate that we don't really
